### R code from vignette source 'QuACN.Rnw'

###################################################
### code chunk number 1: QuACN.Rnw:50-51 (eval = FALSE)
###################################################
## install.packages("QuACN")


###################################################
### code chunk number 2: QuACN.Rnw:58-60
###################################################
library("graph")
library("RBGL")


###################################################
### code chunk number 3: randGraph
###################################################
library("QuACN")
set.seed(666)
g <- randomGraph(1:8, 1:5, 0.36)
g


###################################################
### code chunk number 4: QuACN.Rnw:72-73
###################################################
A <- adjacencyMatrix(g)


###################################################
### code chunk number 5: randGraph
###################################################
A
g <- as(A, "graphNEL")
g


###################################################
### code chunk number 6: QuACN.Rnw:93-97
###################################################
nodeDataDefaults(g, "atom") <- 6
nodeData(g, "6", "atom") <- 8
edgeDataDefaults(g, "weight") <- 1
edgeData(g, "2", "3", "weight") <- 2


###################################################
### code chunk number 7: QuACN.Rnw:112-115
###################################################
g2 <- randomGraph(paste("A", 1:100, sep=""), 1:4, p=0.03)
lcc <- getLargestSubgraph(g2)
lcc


###################################################
### code chunk number 8: QuACN.Rnw:125-127
###################################################
sg.1ed <- edgeDeletedSubgraphs(g)
sg.2ed <- edgeDeletedSubgraphs(sg.1ed)


###################################################
### code chunk number 9: QuACN.Rnw:139-144
###################################################
mat.adj <- adjacencyMatrix(g)
mat.dist <- distanceMatrix(g)
vec.degree <- graph::degree(g)
ska.dia <- diameter(g)
ska.dia <- diameter(g, mat.dist)


###################################################
### code chunk number 10: QuACN.Rnw:160-162
###################################################
wien <- wiener(g)
wiener(g, mat.dist)


###################################################
### code chunk number 11: QuACN.Rnw:169-171
###################################################
harary(g)
harary(g, mat.dist)


###################################################
### code chunk number 12: QuACN.Rnw:177-179
###################################################
balabanJ(g)
balabanJ(g, mat.dist)


###################################################
### code chunk number 13: QuACN.Rnw:209-212
###################################################
compactness(g)
compactness(g, mat.dist)
compactness(g, mat.dist, wiener(g, mat.dist))


###################################################
### code chunk number 14: QuACN.Rnw:220-224
###################################################
productOfRowSums(g, log=FALSE)
productOfRowSums(g, log=TRUE)
productOfRowSums(g, mat.dist, log=FALSE)
productOfRowSums(g, mat.dist, log=TRUE)


###################################################
### code chunk number 15: QuACN.Rnw:231-234
###################################################
hyperDistancePathIndex(g)
hyperDistancePathIndex(g, mat.dist)
hyperDistancePathIndex(g, mat.dist, wiener(g, mat.dist))


###################################################
### code chunk number 16: QuACN.Rnw:246-249
###################################################
dob <- dobrynin(g)
dob <- dobrynin(g, mat.dist)
dob$eccentricityVertex


###################################################
### code chunk number 17: QuACN.Rnw:258-259
###################################################
dob$eccentricityGraph


###################################################
### code chunk number 18: QuACN.Rnw:268-269
###################################################
dob$avgeccOfG


###################################################
### code chunk number 19: QuACN.Rnw:278-279
###################################################
dob$ecentricVertex


###################################################
### code chunk number 20: QuACN.Rnw:288-289
###################################################
dob$ecentricGraph


###################################################
### code chunk number 21: QuACN.Rnw:298-299
###################################################
dob$vertexCentrality


###################################################
### code chunk number 22: QuACN.Rnw:308-309
###################################################
dob$graphIntegration


###################################################
### code chunk number 23: QuACN.Rnw:318-319
###################################################
dob$unipolarity


###################################################
### code chunk number 24: QuACN.Rnw:328-329
###################################################
dob$vertexDeviation


###################################################
### code chunk number 25: QuACN.Rnw:338-339
###################################################
dob$variation


###################################################
### code chunk number 26: QuACN.Rnw:348-349
###################################################
dob$centralization


###################################################
### code chunk number 27: QuACN.Rnw:358-359
###################################################
dob$avgDistance


###################################################
### code chunk number 28: QuACN.Rnw:368-369
###################################################
dob$distVertexDeviation


###################################################
### code chunk number 29: QuACN.Rnw:378-379
###################################################
dob$meanDistVertexDeviation


###################################################
### code chunk number 30: QuACN.Rnw:395-397
###################################################
totalAdjacency(g)
totalAdjacency(g, mat.adj)


###################################################
### code chunk number 31: QuACN.Rnw:414-424
###################################################
zagreb1(g)
zagreb1(g, vec.degree)
zagreb2(g)
zagreb2(g, vec.degree)
modifiedZagreb(g)
modifiedZagreb(g, vec.degree)
augmentedZagreb(g)
augmentedZagreb(g, vec.degree)
variableZagreb(g)
variableZagreb(g, vec.degree)


###################################################
### code chunk number 32: QuACN.Rnw:431-433
###################################################
randic(g)
randic(g, vec.degree)


###################################################
### code chunk number 33: QuACN.Rnw:442-445
###################################################
complexityIndexB(g)
complexityIndexB(g, mat.dist)
complexityIndexB(g, mat.dist, vec.degree)


###################################################
### code chunk number 34: QuACN.Rnw:451-453
###################################################
normalizedEdgeComplexity(g)
normalizedEdgeComplexity(g, totalAdjacency(g, mat.adj))


###################################################
### code chunk number 35: QuACN.Rnw:460-462
###################################################
atomBondConnectivity(g)
atomBondConnectivity(g, vec.degree)


###################################################
### code chunk number 36: QuACN.Rnw:480-486
###################################################
geometricArithmetic1(g)
geometricArithmetic1(g, vec.degree)
geometricArithmetic2(g)
geometricArithmetic2(g, mat.dist)
geometricArithmetic3(g)
geometricArithmetic3(g, mat.dist)


###################################################
### code chunk number 37: QuACN.Rnw:493-495
###################################################
narumiKatayama(g)
narumiKatayama(g, vec.degree)


###################################################
### code chunk number 38: QuACN.Rnw:509-512
###################################################
topologicalInfoContent(g)
topologicalInfoContent(g, mat.dist)
topologicalInfoContent(g, mat.dist, vec.degree)


###################################################
### code chunk number 39: QuACN.Rnw:524-531
###################################################
#I_D(G)
bonchev1(g)
bonchev1(g, mat.dist)
#I^W_D(G)
bonchev2(g)
bonchev2(g, mat.dist)
bonchev2(g, mat.dist, wiener(g))


###################################################
### code chunk number 40: QuACN.Rnw:540-543
###################################################
bertz(g)
bertz(g, mat.dist)
bertz(g, mat.dist, vec.degree)


###################################################
### code chunk number 41: QuACN.Rnw:551-553
###################################################
radialCentric(g)
radialCentric(g, mat.dist)


###################################################
### code chunk number 42: QuACN.Rnw:561-563
###################################################
vertexDegree(g)
vertexDegree(g, vec.degree)


###################################################
### code chunk number 43: QuACN.Rnw:583-589
###################################################
#Balaban-like information index U(G)
balabanlike1(g)
balabanlike1(g, mat.dist)
#Balaban-like information index X(G)
balabanlike2(g)
balabanlike2(g, mat.dist)


###################################################
### code chunk number 44: QuACN.Rnw:601-603
###################################################
graphVertexComplexity(g)
graphVertexComplexity(g, mat.dist)


###################################################
### code chunk number 45: QuACN.Rnw:630-631
###################################################
mediumArticulation(g)


###################################################
### code chunk number 46: QuACN.Rnw:642-644
###################################################
efficiency(g)
efficiency(g, mat.dist)


###################################################
### code chunk number 47: QuACN.Rnw:654-655
###################################################
graphIndexComplexity(g)


###################################################
### code chunk number 48: QuACN.Rnw:668-670
###################################################
offdiagonal(g)
offdiagonal(g, vec.degree)


###################################################
### code chunk number 49: QuACN.Rnw:691-693
###################################################
spanningTreeSensitivity(g)
spanningTreeSensitivity(g, sg.1ed)


###################################################
### code chunk number 50: QuACN.Rnw:707-711
###################################################
distanceDegreeCentric(g)
distanceDegreeCentric(g, mat.dist)
distanceCodeCentric(g)
distanceCodeCentric(g, mat.dist)


###################################################
### code chunk number 51: QuACN.Rnw:813-820
###################################################
l1 <- infoTheoreticGCM(g)
l2 <- infoTheoreticGCM(g, mat.dist, coeff="lin", infofunct="sphere", lambda=1000)
l3 <- infoTheoreticGCM(g, mat.dist, coeff="const", infofunct="pathlength", lambda=4000)
l4 <- infoTheoreticGCM(g, mat.dist, coeff="quad", infofunct="vertcent", lambda=1000)
l5 <- infoTheoreticGCM(g, mat.dist, coeff="exp", infofunct="degree", lambda=1000)
l1
l5


###################################################
### code chunk number 52: QuACN.Rnw:825-829
###################################################
l5mpfr <- infoTheoreticGCM(g, mat.dist, coeff="exp", infofunct="degree", lambda=1000, prec=128)
l5mpfr$entropy
l5mpfr$entropy * 2^3
as.double(l5mpfr$entropy * 2^3)


###################################################
### code chunk number 53: QuACN.Rnw:862-863
###################################################
eigenvalueBased(g, adjacencyMatrix,2)


###################################################
### code chunk number 54: QuACN.Rnw:866-867
###################################################
eigenvalueBased(g, laplaceMatrix,2)


###################################################
### code chunk number 55: QuACN.Rnw:870-871
###################################################
eigenvalueBased(g, distanceMatrix,2)


###################################################
### code chunk number 56: QuACN.Rnw:874-875
###################################################
eigenvalueBased(g,distancePathMatrix,2)


###################################################
### code chunk number 57: QuACN.Rnw:878-879
###################################################
eigenvalueBased(g, augmentedMatrix,2)


###################################################
### code chunk number 58: QuACN.Rnw:882-883
###################################################
eigenvalueBased(g, extendedAdjacencyMatrix,2)


###################################################
### code chunk number 59: QuACN.Rnw:886-887
###################################################
eigenvalueBased(g, vertConnectMatrix,2) 


###################################################
### code chunk number 60: QuACN.Rnw:890-891
###################################################
eigenvalueBased(g, randomWalkMatrix,2)  


###################################################
### code chunk number 61: QuACN.Rnw:894-895
###################################################
eigenvalueBased(g, weightStrucFuncMatrix_lin,2) 


###################################################
### code chunk number 62: QuACN.Rnw:898-899
###################################################
eigenvalueBased(g, weightStrucFuncMatrix_exp,2)


###################################################
### code chunk number 63: QuACN.Rnw:911-913
###################################################
energy(g)
laplacianEnergy(g)


###################################################
### code chunk number 64: QuACN.Rnw:922-924
###################################################
estrada(g)
laplacianEstrada(g)


###################################################
### code chunk number 65: QuACN.Rnw:931-932
###################################################
spectralRadius(g)


###################################################
### code chunk number 66: QuACN.Rnw:947-949
###################################################
oneEdgeDeletedSubgraphComplexity(g)
oneEdgeDeletedSubgraphComplexity(g, sg.1ed)


###################################################
### code chunk number 67: QuACN.Rnw:961-963
###################################################
twoEdgesDeletedSubgraphComplexity(g)
twoEdgesDeletedSubgraphComplexity(g, sg.2ed)


###################################################
### code chunk number 68: QuACN.Rnw:972-974
###################################################
localClusteringCoeff(g)
localClusteringCoeff(g, deg=vec.degree)


###################################################
### code chunk number 69: QuACN.Rnw:982-985
###################################################
loccc <- localClusteringCoeff(g)
globalClusteringCoeff(g)
globalClusteringCoeff(g, loc=loccc)


###################################################
### code chunk number 70: QuACN.Rnw:1001-1003
###################################################
connectivityID(g)
connectivityID(g, deg=vec.degree)


###################################################
### code chunk number 71: QuACN.Rnw:1013-1015
###################################################
minConnectivityID(g)
minConnectivityID(g, deg=vec.degree)


###################################################
### code chunk number 72: QuACN.Rnw:1029-1031
###################################################
primeID(g)
primeID(g, deg=vec.degree)


###################################################
### code chunk number 73: QuACN.Rnw:1047-1048
###################################################
bondOrderID(g)


###################################################
### code chunk number 74: QuACN.Rnw:1063-1065
###################################################
balabanID(g)
balabanID(g, dist=mat.dist)


###################################################
### code chunk number 75: QuACN.Rnw:1075-1077
###################################################
minBalabanID(g)
minBalabanID(g, dist=mat.dist)


###################################################
### code chunk number 76: QuACN.Rnw:1092-1093
###################################################
weightedID(g)


###################################################
### code chunk number 77: QuACN.Rnw:1112-1114
###################################################
huXuID(g)
huXuID(g, deg=vec.degree)


###################################################
### code chunk number 78: QuACN.Rnw:1128-1131
###################################################
calculateDescriptors(g, "wiener")
calculateDescriptors(g, 1001)
calculateDescriptors(g, 2000, labels=TRUE)


###################################################
### code chunk number 79: QuACN.Rnw:1135-1136
###################################################
sessionInfo()


